rultor.com logo This build log was produced by rultor.com for zold-io/zold#622
+ set -e
+ set -o pipefail
++ dirname ./run.sh
+ cd .
+ echo 17649
+ echo '1.68.1 24dc2a841'
1.68.1 24dc2a841
+ date
Tue Dec 11 17:04:17 CET 2018
+ uptime
 17:04:17 up 157 days,  2:48,  1 user,  load average: 7.59, 7.55, 7.14
+ head=git@github.com:zold-io/zold.git
+ ff=default
+ image=yegor256/rultor
+ rebase=false
+ squash=false
+ head_branch=master
+ author=yegor256
+ tag=0.18.2
+ vars=('--env=head=git@github.com:zold-io/zold.git' '--env=tag=0.18.2' '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:zold-io/zold.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.18.2'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''export GEM_HOME=~/.ruby'\'' '\'';'\'' '\''export GEM_PATH=$GEM_HOME:$GEM_PATH'\'' '\'';'\'' '\''sudo apt-get -y update'\'' '\'';'\'' '\''sudo apt-get -y install libcurl4-openssl-dev'\'' '\'';'\'' '\''sudo gem install pdd'\'' '\'';'\'' '\''export RUBYOPT="-W0"'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''`# gem build zold.gemspec`'\'' '\'';'\'' '\''`# gem install --local zold-0.0.0.gem`'\'' '\'';'\'' '\''`# zold --version | grep -vq '\''\'\'''\''0.0.0'\''\'\'''\'' && exit 1`'\'' '\'';'\'' '\''`# zold remote update`'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" lib/zold/version.rb'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''rake --quiet'\'' '\'';'\'' '\''git add lib/zold/version.rb'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build zold.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' '\''git remote add heroku git@heroku.com:zold.git'\'' '\'';'\'' '\''rm -rf ~/.ssh'\'' '\'';'\'' '\''mkdir ~/.ssh'\'' '\'';'\'' '\''mv ../id_rsa ../id_rsa.pub ~/.ssh'\'' '\'';'\'' '\''chmod -R 600 ~/.ssh/*'\'' '\'';'\'' '\''echo -e "Host *\n  StrictHostKeyChecking no\n  UserKnownHostsFile=/dev/null" > ~/.ssh/config'\'' '\'';'\'' '\''sed -i -s '\''\'\'''\''s|Gemfile.lock||g'\''\'\'''\'' .gitignore'\'' '\'';'\'' '\''bundle update'\'' '\'';'\'' '\''trap '\''\'\'''\''git reset HEAD~1'\''\'\'''\'' EXIT'\'' '\'';'\'' '\''git add Gemfile.lock'\'' '\'';'\'' '\''git add .gitignore'\'' '\'';'\'' '\''git fetch'\'' '\'';'\'' '\''git commit -m '\''\'\'''\''config'\''\'\'''\'' && git push -f heroku $(git symbolic-ref --short HEAD):master'\'' '\'';'\'' '\''curl -f --connect-timeout 15 --retry 5 --retry-delay 30 http://b1.zold.io > /dev/null'\'' '\'';'\'' )' '--env=head_branch=master' '--env=author=yegor256')
+ scripts=('export '\''head=git@github.com:zold-io/zold.git'\''' ';' 'export '\''tag=0.18.2'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'export GEM_HOME=~/.ruby' ';' 'export GEM_PATH=$GEM_HOME:$GEM_PATH' ';' 'sudo apt-get -y update' ';' 'sudo apt-get -y install libcurl4-openssl-dev' ';' 'sudo gem install pdd' ';' 'export RUBYOPT="-W0"' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' '`# gem build zold.gemspec`' ';' '`# gem install --local zold-0.0.0.gem`' ';' '`# zold --version | grep -vq '\''0.0.0'\'' && exit 1`' ';' '`# zold remote update`' ';' 'sed -i "s/0\.0\.0/${tag}/g" lib/zold/version.rb' ';' 'bundle install --no-color' ';' 'rake --quiet' ';' 'git add lib/zold/version.rb' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build zold.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';' 'git remote add heroku git@heroku.com:zold.git' ';' 'rm -rf ~/.ssh' ';' 'mkdir ~/.ssh' ';' 'mv ../id_rsa ../id_rsa.pub ~/.ssh' ';' 'chmod -R 600 ~/.ssh/*' ';' 'echo -e "Host *\n  StrictHostKeyChecking no\n  UserKnownHostsFile=/dev/null" > ~/.ssh/config' ';' 'sed -i -s '\''s|Gemfile.lock||g'\'' .gitignore' ';' 'bundle update' ';' 'trap '\''git reset HEAD~1'\'' EXIT' ';' 'git add Gemfile.lock' ';' 'git add .gitignore' ';' 'git fetch' ';' 'git commit -m '\''config'\'' && git push -f heroku $(git symbolic-ref --short HEAD):master' ';' 'curl -f --connect-timeout 15 --retry 5 --retry-delay 30 http://b1.zold.io > /dev/null' ';')
+ directory=
+ container=zold-io_zold_622
+ as_root=false
+ mkdir -p /home/rultor/.ssh
+ echo -e 'Host github.com\n\tStrictHostKeyChecking no\n'
+ chmod 600 /home/rultor/.ssh/config
+ git clone git@github.com:zold-io/zold.git repo
Cloning into 'repo'...
+ cd repo
+ git config user.email me@rultor.com
+ git config user.name rultor
+ '[' -z 'export '\''head=git@github.com:zold-io/zold.git'\''' ']'
+ cd ..
+ cat
+ '[' false = true ']'
+ cat
+ chmod a+x entry.sh
+ cat
+ echo 'export '\''head=git@github.com:zold-io/zold.git'\''' ';' 'export '\''tag=0.18.2'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'export GEM_HOME=~/.ruby' ';' 'export GEM_PATH=$GEM_HOME:$GEM_PATH' ';' 'sudo apt-get -y update' ';' 'sudo apt-get -y install libcurl4-openssl-dev' ';' 'sudo gem install pdd' ';' 'export RUBYOPT="-W0"' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' '`# gem build zold.gemspec`' ';' '`# gem install --local zold-0.0.0.gem`' ';' '`# zold --version | grep -vq '\''0.0.0'\'' && exit 1`' ';' '`# zold remote update`' ';' 'sed -i "s/0\.0\.0/${tag}/g" lib/zold/version.rb' ';' 'bundle install --no-color' ';' 'rake --quiet' ';' 'git add lib/zold/version.rb' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build zold.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';' 'git remote add heroku git@heroku.com:zold.git' ';' 'rm -rf ~/.ssh' ';' 'mkdir ~/.ssh' ';' 'mv ../id_rsa ../id_rsa.pub ~/.ssh' ';' 'chmod -R 600 ~/.ssh/*' ';' 'echo -e "Host *\n  StrictHostKeyChecking no\n  UserKnownHostsFile=/dev/null" > ~/.ssh/config' ';' 'sed -i -s '\''s|Gemfile.lock||g'\'' .gitignore' ';' 'bundle update' ';' 'trap '\''git reset HEAD~1'\'' EXIT' ';' 'git add Gemfile.lock' ';' 'git add .gitignore' ';' 'git fetch' ';' 'git commit -m '\''config'\'' && git push -f heroku $(git symbolic-ref --short HEAD):master' ';' 'curl -f --connect-timeout 15 --retry 5 --retry-delay 30 http://b1.zold.io > /dev/null' ';'
+ sensitive=()
+ rm -rf .gpg
+ '[' -z 0.18.2 ']'
+ [[ 0.18.2 =~ ^[a-zA-Z0-9\.\-]+$ ]]
+ echo 'tag name is valid: "0.18.2"'
tag name is valid: "0.18.2"
+ cd repo
++ git tag -l 0.18.2
+ '[' ']'
+ export BRANCH_NAME=__rultor
+ BRANCH_NAME=__rultor
++ git show-branch __rultor
++ wc -l
+ '[' 0 -gt 0 ']'
+ git checkout -b __rultor
Switched to a new branch '__rultor'
+ docker_when_possible
+ true
++ uptime
++ sed 's/ /\n/g'
++ tail -n 1
+ load=7.14
++ echo 7.14 '>' 30
++ bc
+ '[' 0 -eq 1 ']'
+ echo 'load average is 7.14, low enough to run a new Docker container'
load average is 7.14, low enough to run a new Docker container
+ break
+ cd ..
+ '[' -n '' ']'
+ use_image=yegor256/rultor
+ docker pull yegor256/rultor
Using default tag: latest
latest: Pulling from yegor256/rultor
Digest: sha256:7981a71e6a4a4d128e3e829e64038f8a24c3dcb45e9093e0cdbe2a6f3268604e
Status: Image is up to date for yegor256/rultor:latest
+ grep --quiet '\szold-io_zold_622\s*$'
+ docker ps --filter=status=exited
+ ls -al .
total 724
drwx--x--x  3 rultor rultor   4096 Dec 11 17:04 .
drwxrwxrwt 14 root   root   684032 Dec 11 17:04 ..
-rw-rw-r--  1 rultor rultor    444 Dec 11 17:04 end.sh
-rwxrwxr-x  1 rultor rultor    338 Dec 11 17:04 entry.sh
-rw-rw-r--  1 rultor rultor   1679 Dec 11 17:04 id_rsa
-rw-rw-r--  1 rultor rultor    396 Dec 11 17:04 id_rsa.pub
-rw-rw-r--  1 rultor rultor      6 Dec 11 17:04 pid
drwxrwxr-x 11 rultor rultor   4096 Dec 11 17:04 repo
-rw-rw-r--  1 rultor rultor     56 Dec 11 17:04 rubygems.yml
-rwxrwxr-x  1 rultor rultor   8043 Dec 11 17:04 run.sh
-rw-rw-r--  1 rultor rultor   1450 Dec 11 17:04 script.sh
-rw-rw-r--  1 rultor rultor   7178 Dec 11 17:04 stdout
++ pwd
++ pwd
+ docker run -t --rm -v /tmp/rultor-RUWu:/main --env=head=git@github.com:zold-io/zold.git --env=tag=0.18.2 '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:zold-io/zold.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.18.2'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''export GEM_HOME=~/.ruby'\'' '\'';'\'' '\''export GEM_PATH=$GEM_HOME:$GEM_PATH'\'' '\'';'\'' '\''sudo apt-get -y update'\'' '\'';'\'' '\''sudo apt-get -y install libcurl4-openssl-dev'\'' '\'';'\'' '\''sudo gem install pdd'\'' '\'';'\'' '\''export RUBYOPT="-W0"'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''`# gem build zold.gemspec`'\'' '\'';'\'' '\''`# gem install --local zold-0.0.0.gem`'\'' '\'';'\'' '\''`# zold --version | grep -vq '\''\'\'''\''0.0.0'\''\'\'''\'' && exit 1`'\'' '\'';'\'' '\''`# zold remote update`'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" lib/zold/version.rb'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''rake --quiet'\'' '\'';'\'' '\''git add lib/zold/version.rb'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build zold.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' '\''git remote add heroku git@heroku.com:zold.git'\'' '\'';'\'' '\''rm -rf ~/.ssh'\'' '\'';'\'' '\''mkdir ~/.ssh'\'' '\'';'\'' '\''mv ../id_rsa ../id_rsa.pub ~/.ssh'\'' '\'';'\'' '\''chmod -R 600 ~/.ssh/*'\'' '\'';'\'' '\''echo -e "Host *\n  StrictHostKeyChecking no\n  UserKnownHostsFile=/dev/null" > ~/.ssh/config'\'' '\'';'\'' '\''sed -i -s '\''\'\'''\''s|Gemfile.lock||g'\''\'\'''\'' .gitignore'\'' '\'';'\'' '\''bundle update'\'' '\'';'\'' '\''trap '\''\'\'''\''git reset HEAD~1'\''\'\'''\'' EXIT'\'' '\'';'\'' '\''git add Gemfile.lock'\'' '\'';'\'' '\''git add .gitignore'\'' '\'';'\'' '\''git fetch'\'' '\'';'\'' '\''git commit -m '\''\'\'''\''config'\''\'\'''\'' && git push -f heroku $(git symbolic-ref --short HEAD):master'\'' '\'';'\'' '\''curl -f --connect-timeout 15 --retry 5 --retry-delay 30 http://b1.zold.io > /dev/null'\'' '\'';'\'' )' --env=head_branch=master --env=author=yegor256 --hostname=docker --privileged --memory=6g --memory-swap=16g --oom-kill-disable --cidfile=/tmp/rultor-RUWu/cid -w=/main -v /var/run/docker.sock:/var/run/docker.sock --name=zold-io_zold_622 yegor256/rultor /main/entry.sh
WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
+ set -e
+ set -o pipefail
+ shopt -s dotglob
+ useradd -m -G sudo r
+ echo '%sudo ALL=(ALL) NOPASSWD:ALL'
+ cp -R /root/.bashrc /root/.composer /root/.gem /root/.gnupg /root/.m2 /root/.oracle_jre_usage /root/.profile /root/texmf /root/.wget-hsts /home/r
+ cp -R ./cid ./end.sh ./entry.sh ./id_rsa ./id_rsa.pub ./pid ./repo ./rubygems.yml ./run.sh ./script.sh ./stdout /home/r
+ rm -rf repo
+ chown -R r:r /home/r
+ chmod a+x /home/r/script.sh
+ su --login r --command /home/r/script.sh
mesg: change /dev/pts/0 mode failed: Operation not permitted
+ set -e
+ set -o pipefail
+ shopt -s expand_aliases
+ alias 'sudo=sudo -i'
+ export HOME=/home/r
+ HOME=/home/r
+ cd /home/r/repo
+ export head=git@github.com:zold-io/zold.git
+ head=git@github.com:zold-io/zold.git
+ export tag=0.18.2
+ tag=0.18.2
+ export head_branch=master
+ head_branch=master
+ export author=yegor256
+ author=yegor256
+ export GEM_HOME=/home/r/.ruby
+ GEM_HOME=/home/r/.ruby
+ export GEM_PATH=/home/r/.ruby:/usr/local/rvm/gems/ruby-2.5.1:/usr/local/rvm/gems/ruby-2.5.1@global
+ GEM_PATH=/home/r/.ruby:/usr/local/rvm/gems/ruby-2.5.1:/usr/local/rvm/gems/ruby-2.5.1@global
+ sudo -i apt-get -y update
Hit:1ohttp://archive.ubuntu.com/ubuntu xenial InRelease
Get:2ohttp://archive.ubuntu.com/ubuntu(xenial-updates InReleasef[109ekB]rs] [Co
Get:3 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Get:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
Get:5 http://ppa.launchpad.net/git-core/ppa/ubuntu trusty InRelease [15.4 kB]
Get:6 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty InRelease [15.5 kB]
Ign:7 http://ppa.launchpad.net/natecarlson/maven3/ubuntu precise InRelease
Get:8 http://ppa.launchpad.net/git-core/ppa/ubuntu xenial InRelease [17.5 kB]
Get:9 https://deb.nodesource.com/node_6.x xenial InRelease [4634 B]
Get:10 http://apt.postgresql.org/pub/repos/apt xenial-pgdg InRelease [51.3 kB]
Get:11Ihttp://ppa.launchpad.net/ondrej/php/ubuntu/xenialaInReleasen[23.9gkB].pp
Hit:12Ihttp://ppa.launchpad.net/natecarlson/maven3/ubuntu2precisenRelease1to.pp
Get:13Ihttp://archive.ubuntu.com/ubuntuoxenial-updates/universekSources/[298kkB]
Get:14Ihttp://archive.ubuntu.com/ubuntugxenial-updates/maingamd64hPackages[[1154 kB]
Get:15Ihttp://archive.ubuntu.com/ubuntuaxenial-updates/universeaamd64.Packagesa[920 kB]
Get:16 http://ppa.launchpad.net/git-core/ppa/ubuntuBtrusty/maingamd64BPackages0[3491 B]
Get:17 http://ppa.launchpad.net/webupd8team/java/ubuntu1trusty/main4amd64/Packages [1556 B]
Get:18 http://archive.ubuntu.com/ubuntu xenial-updates/multiversesamd64kPackages [19.0 kB]
Get:19 http://archive.ubuntu.com/ubuntu xenial-backports/mainkamd641Packages9[7959 B]
Get:20 http://ppa.launchpad.net/git-core/ppa/ubuntu]xenial/maingamd64pPackagesp[3515 B]
Get:21 https://deb.nodesource.com/node_6.xpxenial/main2amd64kPackages8[10031B]B
Get:22 http://ppa.launchpad.net/ondrej/php/ubuntuBxenial/maintamd64oPackagesn[68.3 kB]
Get:24ahttp://apt.postgresql.org/pub/repos/aptexenial-pgdg/mainnamd64PPackages0[199 kB]
Get:25ahttp://security.ubuntu.com/ubuntu5xenial-security/universe Sources [111 kB]
Get:26ahttp://security.ubuntu.com/ubuntu3xenial-security/main amd64 Packages [752 kB]
Get:276http://security.ubuntu.com/ubuntuaxenial-security/universe6amd649Packages [516 kB]
Get:286http://security.ubuntu.com/ubuntu xenial-security/multiverseaamd643Packages [4026 B]
Fetchedo4509gkBeins2sr(2185]kB/s)%]kages 1616kB/1996kB 81%]] [24 Packages 139 k
Reading package lists... Done
W: http://ppa.launchpad.net/natecarlson/maven3/ubuntu/dists/precise/Release.gpg: Signature by key 1F6F5A1396D75B0DB6FECE5AB70731143DD9F856 uses weak digest algorithm (SHA1)
+ sudo -i apt-get -y install libcurl4-openssl-dev
Reading package lists... Done
Building dependency tree... 50%
Reading state information... Done
The following additional packages will be installed:
  libcurl3
Suggested packages:
  libcurl4-doc libcurl3-dbg libidn11-dev libkrb5-dev libldap2-dev librtmp-dev
The following NEW packages will be installed:
  libcurl4-openssl-dev
The following packages will be upgraded:
  libcurl3
1 upgraded, 1 newly installed, 0 to remove and 93 not upgraded.
Need to get 450 kB of archives.
After this operation, 1258 kB of additional disk space will be used.
Get:1ohttp://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcurl3 amd64 7.47.0-1ubuntu2.11 [186 kB]
Get:2Whttp://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcurl4-openssl-dev amd64 7.47.0-1ubuntu2.11 [263 kB]
Fetchedo450nkB4inp0ss(2444vkB/s) B/263 kB 2%]
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76, <> line 2.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
(Reading database ... 67032 files and directories currently installed.)
Preparing to unpack .../libcurl3_7.47.0-1ubuntu2.11_amd64.deb ...
Unpacking libcurl3:amd64 (7.47.0-1ubuntu2.11) over (7.47.0-1ubuntu2.9) ...
Selecting previously unselected package libcurl4-openssl-dev:amd64.
Preparing to unpack .../libcurl4-openssl-dev_7.47.0-1ubuntu2.11_amd64.deb ...
Unpacking libcurl4-openssl-dev:amd64 (7.47.0-1ubuntu2.11) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up libcurl3:amd64 (7.47.0-1ubuntu2.11) ...
Setting up libcurl4-openssl-dev:amd64 (7.47.0-1ubuntu2.11) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
+ sudo -i gem install pdd
Fetching: mini_portile2-2.3.0.gem (100%)
Successfully installed mini_portile2-2.3.0
Fetching: nokogiri-1.8.2.gem (100%)
Building native extensions. This could take a while...
Successfully installed nokogiri-1.8.2
Fetching: rainbow-3.0.0.gem (100%)
Successfully installed rainbow-3.0.0
Fetching: slop-4.6.1.gem (100%)
Successfully installed slop-4.6.1
Fetching: pdd-0.20.3.gem (100%)
Successfully installed pdd-0.20.3
Parsing documentation for mini_portile2-2.3.0
Installing ri documentation for mini_portile2-2.3.0
Parsing documentation for nokogiri-1.8.2
Installing ri documentation for nokogiri-1.8.2
Parsing documentation for rainbow-3.0.0
Installing ri documentation for rainbow-3.0.0
Parsing documentation for slop-4.6.1
Installing ri documentation for slop-4.6.1
Parsing documentation for pdd-0.20.3
Installing ri documentation for pdd-0.20.3
Done installing documentation for mini_portile2, nokogiri, rainbow, slop, pdd after 16 seconds
5 gems installed
+ export RUBYOPT=-W0
+ RUBYOPT=-W0
+ [[ 0.18.2 =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]
+ sed -i 's/0\.0\.0/0.18.2/g' lib/zold/version.rb
+ bundle install --no-color
Fetching gem metadata from https://rubygems.org/...........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies....
Fetching rake 12.3.1
Installing rake 12.3.1
Fetching concurrent-ruby 1.1.3
Installing concurrent-ruby 1.1.3
Fetching i18n 1.2.0
Installing i18n 1.2.0
Fetching minitest 5.11.3
Installing minitest 5.11.3
Fetching thread_safe 0.3.6
Installing thread_safe 0.3.6
Fetching tzinfo 1.2.5
Installing tzinfo 1.2.5
Fetching activesupport 5.2.2
Installing activesupport 5.2.2
Fetching builder 3.2.3
Installing builder 3.2.3
Fetching erubi 1.7.1
Installing erubi 1.7.1
Using mini_portile2 2.3.0
Fetching nokogiri 1.8.5
Installing nokogiri 1.8.5 with native extensions
Fetching rails-dom-testing 2.0.3
Installing rails-dom-testing 2.0.3
Fetching crass 1.0.4
Installing crass 1.0.4
Fetching loofah 2.2.3
Installing loofah 2.2.3
Fetching rails-html-sanitizer 1.0.4
Installing rails-html-sanitizer 1.0.4
Fetching actionview 5.2.2
Installing actionview 5.2.2
Fetching rack 2.0.6
Installing rack 2.0.6
Fetching rack-test 1.1.0
Installing rack-test 1.1.0
Fetching actionpack 5.2.2
Installing actionpack 5.2.2
Using public_suffix 3.0.3
Using addressable 2.5.2
Fetching ast 2.4.0
Installing ast 2.4.0
Fetching backports 3.11.4
Installing backports 3.11.4
Fetching backtrace 0.3.0
Installing backtrace 0.3.0
Using bundler 1.16.6
Using json 2.1.0
Fetching docile 1.3.1
Installing docile 1.3.1
Fetching simplecov-html 0.10.2
Installing simplecov-html 0.10.2
Fetching simplecov 0.16.1
Installing simplecov 0.16.1
Fetching url 0.3.2
Installing url 0.3.2
Fetching codecov 0.1.13
Installing codecov 0.1.13
Using safe_yaml 1.0.4
Fetching crack 0.4.3
Installing crack 0.4.3
Fetching cucumber-tag_expressions 1.1.1
Installing cucumber-tag_expressions 1.1.1
Fetching gherkin 5.1.0
Installing gherkin 5.1.0
Fetching cucumber-core 3.2.1
Installing cucumber-core 3.2.1
Fetching cucumber-expressions 6.0.1
Installing cucumber-expressions 6.0.1
Fetching cucumber-wire 0.0.1
Installing cucumber-wire 0.0.1
Fetching diff-lcs 1.3
Installing diff-lcs 1.3
Fetching multi_json 1.13.1
Installing multi_json 1.13.1
Fetching multi_test 0.1.2
Installing multi_test 0.1.2
Fetching cucumber 3.1.2
Installing cucumber 3.1.2
Fetching daemons 1.3.0
Installing daemons 1.3.0
Fetching differ 0.1.2
Installing differ 0.1.2
Fetching diffy 3.2.1
Installing diffy 3.2.1
Using ffi 1.9.25
Fetching ethon 0.11.0
Installing ethon 0.11.0
Fetching eventmachine 1.2.7
Installing eventmachine 1.2.7 with native extensions
Fetching futex 0.6.2
Installing futex 0.6.2
Fetching get_process_mem 0.2.3
Installing get_process_mem 0.2.3
Fetching hashdiff 0.3.7
Installing hashdiff 0.3.7
Fetching jaro_winkler 1.5.1
Installing jaro_winkler 1.5.1 with native extensions
Fetching memory_profiler 0.9.12
Installing memory_profiler 0.9.12
Fetching method_source 0.9.2
Installing method_source 0.9.2
Fetching minitest-fail-fast 0.1.0
Installing minitest-fail-fast 0.1.0
Fetching minitest-hooks 1.5.0
Installing minitest-hooks 1.5.0
Fetching mustermann 1.0.3
Installing mustermann 1.0.3
Fetching openssl 2.1.2
Installing openssl 2.1.2 with native extensions
Fetching parallel 1.12.1
Installing parallel 1.12.1
Fetching parser 2.5.3.0
Installing parser 2.5.3.0
Fetching powerpack 0.1.2
Installing powerpack 0.1.2
Fetching rack-protection 2.0.4
Installing rack-protection 2.0.4
Fetching thor 0.20.3
Installing thor 0.20.3
Fetching railties 5.2.2
Installing railties 5.2.2
Using rainbow 3.0.0
Fetching random-port 0.3.1
Installing random-port 0.3.1
Fetching rdoc 4.3.0
Installing rdoc 4.3.0
Fetching rspec-support 3.8.0
Installing rspec-support 3.8.0
Fetching rspec-core 3.8.0
Installing rspec-core 3.8.0
Fetching rspec-expectations 3.8.2
Installing rspec-expectations 3.8.2
Fetching rspec-mocks 3.8.0
Installing rspec-mocks 3.8.0
Fetching rspec-rails 3.8.1
Installing rspec-rails 3.8.1
Fetching ruby-progressbar 1.10.0
Installing ruby-progressbar 1.10.0
Fetching unicode-display_width 1.4.0
Installing unicode-display_width 1.4.0
Fetching rubocop 0.60.0
Installing rubocop 0.60.0
Fetching rubocop-rspec 1.30.1
Installing rubocop-rspec 1.30.1
Fetching semantic 1.6.1
Installing semantic 1.6.1
Fetching tilt 2.0.9
Installing tilt 2.0.9
Fetching sinatra 2.0.4
Installing sinatra 2.0.4
Fetching slop 4.6.2
Installing slop 4.6.2
Fetching sys-proctable 1.2.1
Installing sys-proctable 1.2.1
Fetching thin 1.7.2
Installing thin 1.7.2 with native extensions
Fetching threads 0.3.0
Installing threads 0.3.0
Fetching typhoeus 1.3.1
Installing typhoeus 1.3.1
Fetching usagewatch 0.0.7
Installing usagewatch 0.0.7
Fetching usagewatch_ext 0.2.1
Installing usagewatch_ext 0.2.1
Fetching webmock 3.4.2
Installing webmock 3.4.2
Fetching xcop 0.6
Installing xcop 0.6
Fetching zache 0.4.0
Installing zache 0.4.0
Fetching zold-score 0.4.2
Installing zold-score 0.4.2 with native extensions
Using zold 0.18.2 from source at `.`
Bundle complete! 9 Gemfile dependencies, 91 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n 1.1.x and Rails (< 6.0), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

Post-install message from usagewatch:
* Linux version are covered for our test.
Thanks for installing!
Post-install message from usagewatch_ext:
* Usagewatch Gem for linux are covered for our test.
* Mac OS version is in development
Thanks for installing!
+ rake --quiet
/usr/local/rvm/rubies/ruby-2.5.1/bin/ruby -I"lib:lib:test" -I"/home/r/.ruby/gems/rake-12.3.1/lib" "/home/r/.ruby/gems/rake-12.3.1/lib/rake/rake_test_loader.rb" "test/commands/routines/test_gc.rb&quot; &quot;test/commands/routines/test_reconnect.rb" "test/commands/routines/test_spread.rb" "test/commands/test_alias.rb" "test/commands/test_calculate.rb" "test/commands/test_clean.rb" "test/commands/test_create.rb" "test/commands/test_diff.rb" "test/commands/test_fetch.rb" "test/commands/test_invoice.rb" "test/commands/test_list.rb" "test/commands/test_merge.rb" "test/commands/test_node.rb" "test/commands/test_pay.rb" "test/commands/test_propagate.rb" "test/commands/test_pull.rb" "test/commands/test_push.rb" "test/commands/test_remote.rb" "test/commands/test_remove.rb" "test/commands/test_show.rb" "test/commands/test_taxes.rb" "test/node/test_async_entrance.rb" "test/node/test_emission.rb" "test/node/test_entrance.rb" "test/node/test_farm.rb" "test/node/test_farmers.rb&quot; &quot;test/node/test_front.rb&quot; &quot;test/node/test_nodup_entrance.rb&quot; &quot;test/node/test_nospam_entrance.rb&quot; &quot;test/node/test_safe_entrance.rb&quot; &quot;test/node/test_spread_entrance.rb&quot; &quot;test/node/test_sync_entrance.rb&quot; &quot;test/node/test_trace.rb" "test/test__helper.rb" "test/test_age.rb" "test/test_amount.rb" "test/test_cached_wallets.rb" "test/test_copies.rb" "test/test_dir_items.rb" "test/test_gem.rb" "test/test_hexnum.rb" "test/test_http.rb" "test/test_id.rb" "test/test_json_page.rb" "test/test_key.rb" "test/test_log.rb" "test/test_metronome.rb" "test/test_patch.rb" "test/test_prefixes.rb" "test/test_remotes.rb" "test/test_signature.rb" "test/test_size.rb" "test/test_sync_wallets.rb&quot; &quot;test/test_tax.rb&quot; &quot;test/test_tree_wallets.rb&quot; &quot;test/test_txn.rb&quot; &quot;test/test_upgrades.rb&quot; &quot;test/test_verbose_thread.rb&quot; &quot;test/test_version.rb&quot; &quot;test/test_wallet.rb&quot; &quot;test/test_wallets.rb&quot; &quot;test/test_zold.rb&quot; &quot;test/upgrades/test_protocol_up.rb&quot;
WARNING: If you plan to load any of ActiveSupport's core extensions to Hash, be
sure to do so *before* loading Sinatra::Application or Sinatra::Base. If not,
you may disregard this warning.
Coverage report generated for Unit Tests to /home/r/repo/coverage. 1078 / 3115 LOC (34.61%) covered.
Run options: --seed 6288

# Running:

32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m33mS0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m33mS0m33mS0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m33mS0m32m.0m33mS0m33mS0m33mS0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0mThin web server (v1.7.2 codename Bachmanity)
Maximum connections set to 1024
Listening on 0.0.0.0:45987, CTRL+C to stop
Stopping ...
32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m33mS0mThin web server (v1.7.2 codename Bachmanity)
Maximum connections set to 1024
Listening on 0.0.0.0:43105, CTRL+C to stop
Stopping ...
32m.0mThin web server (v1.7.2 codename Bachmanity)
Maximum connections set to 1024
Listening on 0.0.0.0:40929, CTRL+C to stop
Stopping ...
32m.0mThin web server (v1.7.2 codename Bachmanity)
Maximum connections set to 1024
Listening on 0.0.0.0:37467, CTRL+C to stop
Stopping ...
32m.0mThin web server (v1.7.2 codename Bachmanity)
Maximum connections set to 1024
Listening on 0.0.0.0:36487, CTRL+C to stop
Stopping ...
32m.0m#<Thread:0x0000000002f7e1b0@fake_node@/home/r/repo/test/node/fake_node.rb:45 run> terminated with exception (report_on_exception is true):
1mTracebackm (most recent call last):
        4: from /home/r/repo/test/node/fake_node.rb:47:in `block (3 levels) in run'
        3: from /home/r/repo/lib/zold/verbose_thread.rb:38:in `run'
        2: from /home/r/repo/test/node/fake_node.rb:50:in `block (4 levels) in run'
        1: from /home/r/repo/lib/zold/commands/thread_badge.rb:41:in `run'
/home/r/repo/lib/zold/commands/node.rb:227:in `run': 1mAlias should be a 4 to 16 char long alphanumeric string: invalid-alias (1;4mRuntimeErrorm1m)
m


Finished in 115.315354s, 1.8645 runs/s, 4.1625 assertions/s.
215 runs, 480 assertions, 0 failures, 0 errors, 8 skips

You have skipped tests. Run with --verbose for details.
Using the default profile...
Feature: Command Line Processing
  As an payment originator I want to be able to use
  Zold as a command line tool

  Scenario: Help can be printed90m   # features/cli.feature:50m
    32mWhen I run 32m1mbin/zold0m0m32m with "32m1m-h0m0m32m"90m # features/step_definitions/steps.rb:420m0m
    32mThen Exit code is zero90m        # features/step_definitions/steps.rb:700m0m
    32mAnd Stdout contains "32m1m--help0m0m32m"90m  # features/step_definitions/steps.rb:620m0m

  Scenario: Version can be printed90m       # features/cli.feature:100m
    32mWhen I run 32m1mbin/zold0m0m32m with "32m1m--version0m0m32m"90m # features/step_definitions/steps.rb:420m0m
    32mThen Exit code is zero90m               # features/step_definitions/steps.rb:700m0m

  Scenario: Wallet can be created90m                                     # features/cli.feature:140m
    32mWhen I run 32m1mbin/zold0m0m32m with "32m1m--trace --public-key=id_rsa.pub create0m0m32m"90m # features/step_definitions/steps.rb:420m0m
    32mThen Exit code is zero90m                                            # features/step_definitions/steps.rb:700m0m

Feature: Gem Package
  As a source code writer I want to be able to
  package the Gem into .gem file

  Scenario: Gem can be packaged90m                # features/gem_package.feature:50m
    32mGiven It is Unix90m                           # features/step_definitions/steps.rb:780m0m
    32mGiven I have "32m1mexecs.rb0m0m32m" file with content:90m # features/step_definitions/steps.rb:550m0m
32m      &quot;&quot;&quot;0m
32m      #!/usr/bin/env ruby0m
32m      require 'rubygems'0m
32m      spec = Gem::Specification::load('./spec.rb')0m
32m      if spec.executables.empty?0m
32m        fail 'no executables: ' + IO.read('./spec.rb')0m
32m      end0m
32m      """0m
    32mWhen I run bash with:90m                      # features/step_definitions/steps.rb:480m0m
32m      """0m
32m      set -x0m
32m      set -e0m
32m      cd zold0m
32m      gem build zold.gemspec0m
32m      gem specification --ruby zold-*.gem > ../spec.rb0m
32m      cd ..0m
32m      ruby execs.rb0m
32m      """0m
    32mThen Exit code is zero90m                     # features/step_definitions/steps.rb:700m0m

4 scenarios (32m4 passed0m)
11 steps (32m11 passed0m)
0m3.041s
Coverage report generated for Cucumber Features, Unit Tests to /home/r/repo/coverage. 1095 / 3132 LOC (34.96%) covered.
Running RuboCop...
Inspecting 149 files
32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m32m.0m

149 files inspected, 32mno offenses0m detected
Running xcop...
Inspecting 0 files...

0 files checked, everything looks 32mpretty0m
+ git add lib/zold/version.rb
+ git commit -m 'version set to 0.18.2'
[__rultor ac8d453] version set to 0.18.2
 1 file changed, 1 insertion(+), 1 deletion(-)
+ gem build zold.gemspec
  Successfully built RubyGem
  Name: zold
  Version: 0.18.2
  File: zold-0.18.2.gem
+ chmod 0600 ../rubygems.yml
+ gem push zold-0.18.2.gem --config-file ../rubygems.yml
Pushing gem to https://rubygems.org...
Successfully registered gem: zold (0.18.2)
+ git remote add heroku git@heroku.com:zold.git
+ rm -rf /home/r/.ssh
+ mkdir /home/r/.ssh
+ mv ../id_rsa ../id_rsa.pub /home/r/.ssh
+ chmod -R 600 /home/r/.ssh/id_rsa /home/r/.ssh/id_rsa.pub
+ echo -e 'Host *\n  StrictHostKeyChecking no\n  UserKnownHostsFile=/dev/null'
+ sed -i -s 's|Gemfile.lock||g' .gitignore
+ bundle update
Fetching gem metadata from https://rubygems.org/...........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies....
Using rake 12.3.1
Using concurrent-ruby 1.1.3
Using i18n 1.2.0
Using minitest 5.11.3
Using thread_safe 0.3.6
Using tzinfo 1.2.5
Using activesupport 5.2.2
Using builder 3.2.3
Using erubi 1.7.1
Using mini_portile2 2.3.0
Using nokogiri 1.8.5
Using rails-dom-testing 2.0.3
Using crass 1.0.4
Using loofah 2.2.3
Using rails-html-sanitizer 1.0.4
Using actionview 5.2.2
Using rack 2.0.6
Using rack-test 1.1.0
Using actionpack 5.2.2
Using public_suffix 3.0.3
Using addressable 2.5.2
Using ast 2.4.0
Using backports 3.11.4
Using backtrace 0.3.0
Using bundler 1.16.6
Using json 2.1.0
Using docile 1.3.1
Using simplecov-html 0.10.2
Using simplecov 0.16.1
Using url 0.3.2
Using codecov 0.1.13
Using safe_yaml 1.0.4
Using crack 0.4.3
Using cucumber-tag_expressions 1.1.1
Using gherkin 5.1.0
Using cucumber-core 3.2.1
Using cucumber-expressions 6.0.1
Using cucumber-wire 0.0.1
Using diff-lcs 1.3
Using multi_json 1.13.1
Using multi_test 0.1.2
Using cucumber 3.1.2
Using daemons 1.3.0
Using differ 0.1.2
Using diffy 3.2.1
Using ffi 1.9.25
Using ethon 0.11.0
Using eventmachine 1.2.7
Using futex 0.6.2
Using get_process_mem 0.2.3
Using hashdiff 0.3.7
Using jaro_winkler 1.5.1
Using memory_profiler 0.9.12
Using method_source 0.9.2
Using minitest-fail-fast 0.1.0
Using minitest-hooks 1.5.0
Using mustermann 1.0.3
Using openssl 2.1.2
Using parallel 1.12.1
Using parser 2.5.3.0
Using powerpack 0.1.2
Using rack-protection 2.0.4
Using thor 0.20.3
Using railties 5.2.2
Using rainbow 3.0.0
Using random-port 0.3.1
Using rdoc 4.3.0
Using rspec-support 3.8.0
Using rspec-core 3.8.0
Using rspec-expectations 3.8.2
Using rspec-mocks 3.8.0
Using rspec-rails 3.8.1
Using ruby-progressbar 1.10.0
Using unicode-display_width 1.4.0
Using rubocop 0.60.0
Using rubocop-rspec 1.30.1
Using semantic 1.6.1
Using tilt 2.0.9
Using sinatra 2.0.4
Using slop 4.6.2
Using sys-proctable 1.2.1
Using thin 1.7.2
Using threads 0.3.0
Using typhoeus 1.3.1
Using usagewatch 0.0.7
Using usagewatch_ext 0.2.1
Using webmock 3.4.2
Using xcop 0.6
Using zache 0.4.0
Using zold-score 0.4.2
Using zold 0.18.2 from source at `.`
32mBundle updated!0m
+ trap 'git reset HEAD~1' EXIT
+ git add Gemfile.lock
+ git add .gitignore
+ git fetch
Warning: Permanently added 'github.com,192.30.253.112' (RSA) to the list of known hosts.
+ git commit -m config
[__rultor 2587ffe] config
 2 files changed, 235 insertions(+), 1 deletion(-)
 create mode 100644 Gemfile.lock
++ git symbolic-ref --short HEAD
+ git push -f heroku __rultor:master
Warning: Permanently added 'heroku.com,50.19.85.154' (RSA) to the list of known hosts.
Enumerating objects: 10020, done.
Counting objects: 100% (10020/10020), done.
Delta compression using up to 12 threads
Compressing objects: 100% (2541/2541), done.
Writing objects: 100% (10020/10020),23.24MMiB||33.86MMiB/s, done.
Total 10020 (delta 7269), reused 10005 (delta 7261)
remote: Compressing source files... done.K
remote: Building source:K
remote:
remote: -----> Ruby app detectedK
remote: -----> Compiling Ruby/RailsK
remote: -----> Using Ruby version: ruby-2.5.1K
remote: -----> Installing dependencies using bundler 1.15.2K
remote:        Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deploymentK
remote:        fatal: Not a git repository (or any parent up to mount point /tmp)K
remote:        Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).K
remote:        1;33mWarningm: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.6). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.K
remote:        Fetching gem metadata from https://rubygems.org/........K
remote:        Fetching version metadata from https://rubygems.org/.K
remote:        Using rake 12.3.1K
remote:        Using ast 2.4.0K
remote:        Using backports 3.11.4K
remote:        Using backtrace 0.3.0K
remote:        Using builder 3.2.3K
remote:        Using bundler 1.15.2K
remote:        Using concurrent-ruby 1.1.3K
remote:        Using cucumber-tag_expressions 1.1.1K
remote:        Using gherkin 5.1.0K
remote:        Using cucumber-expressions 6.0.1K
remote:        Using cucumber-wire 0.0.1K
remote:        Using diff-lcs 1.3K
remote:        Using multi_json 1.13.1K
remote:        Using multi_test 0.1.2K
remote:        Using daemons 1.3.0K
remote:        Using differ 0.1.2K
remote:        Using diffy 3.2.1K
remote:        Using ffi 1.9.25K
remote:        Using eventmachine 1.2.7K
remote:        Using futex 0.6.2K
remote:        Using get_process_mem 0.2.3K
remote:        Using jaro_winkler 1.5.1K
remote:        Using json 2.1.0K
remote:        Using memory_profiler 0.9.12K
remote:        Using mini_portile2 2.3.0K
remote:        Using mustermann 1.0.3K
remote:        Using openssl 2.1.2K
remote:        Using parallel 1.12.1K
remote:        Using powerpack 0.1.2K
remote:        Using rack 2.0.6K
remote:        Using rainbow 3.0.0K
remote:        Using ruby-progressbar 1.10.0K
remote:        Using unicode-display_width 1.4.0K
remote:        Using semantic 1.6.1K
remote:        Using tilt 2.0.9K
remote:        Using slop 4.6.2K
remote:        Using usagewatch 0.0.7K
remote:        Using zache 0.4.0K
remote:        Using zold-score 0.4.2K
remote:        Using parser 2.5.3.0K
remote:        Using threads 0.3.0K
remote:        Using ethon 0.11.0K
remote:        Using sys-proctable 1.2.1K
remote:        Using nokogiri 1.8.5K
remote:        Using cucumber-core 3.2.1K
remote:        Using rack-protection 2.0.4K
remote:        Using thin 1.7.2K
remote:        Using usagewatch_ext 0.2.1K
remote:        Using typhoeus 1.3.1K
remote:        Using xcop 0.6K
remote:        Using rubocop 0.60.0K
remote:        Using cucumber 3.1.2K
remote:        Using sinatra 2.0.4K
remote:        Using rubocop-rspec 1.30.1K
remote:        Using zold 0.18.2 from source at `.`K
remote:        Bundle complete! 9 Gemfile dependencies, 55 gems now installed.K
remote:        Gems in the groups development and test were not installed.K
remote:        Bundled gems are installed into ./vendor/bundle.K
remote:        Bundle completed (3.76s)K
remote:        Cleaning up the bundler cache.K
remote:        1;33mWarningm: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.6). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.K
remote: -----> Detecting rake tasksK
remote: -----> Detecting rails configurationK
remote:
remote: 1m33m###### WARNING:0mK
remote:
remote:        Detecting rails configuration failedK
remote:        set HEROKU_DEBUG_RAILS_RUNNER=1 to debugK
remote:
remote:
remote: -----> Discovering process typesK
remote:        Procfile declares types     -> webK
remote:        Default types for buildpack -> console, rakeK
remote:
remote: -----> Compressing...K
remote:        Done: 24.3MK
remote: -----> Launching...K
remote:        Released v282K
remote:        https://zold.herokuapp.com/ deployed to HerokuK
remote:
remote: Verifying deploy... done.K
To heroku.com:zold.git
 + cd531bf...2587ffe __rultor -> master (forced update)
+ curl -f --connect-timeout 15 --retry 5 --retry-delay 30 http://b1.zold.io
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   991  100   991    0     0    179      0 -0:00:05 -0:00:05 --:--:--   300
+ git reset HEAD~1
Unstaged changes after reset:
M       .gitignore
+ mv /home/r/repo .
++ whoami
+ chown -R root repo
+ '[' -n '' ']'
++ whoami
+ sudo chown -R rultor repo
+ cd repo
+ git checkout __rultor
Already on '__rultor'
M       .gitignore
+ git tag 0.18.2 -m '0.18.2: tagged by rultor.com'
+ git reset --hard
HEAD is now at ac8d453 version set to 0.18.2
+ git clean -fd
+ git checkout master
Switched to branch 'master'
Your branch is up-to-date with 'origin/master'.
+ git branch -D __rultor
Deleted branch __rultor (was ac8d453).
+ git push --all origin
Everything up-to-date
+ git push --tags origin
To git@github.com:zold-io/zold.git
 * [new tag]         0.18.2 -> 0.18.2
container 82ab243a24851d02db1f4d8d64802758ba476218c91a25ed61a10b8bd9e98739 is dead
Tue Dec 11 17:12:02 CET 2018